python2-proboscis-1.2.6.0-5.2.noarch.rpm


Advertisement

Description

python2-proboscis - Extends Nose with certain TestNG like features

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename python2-proboscis-1.2.6.0-5.2.noarch.rpm
Package name python2-proboscis
Package version 1.2.6.0
Package release 5.2
Package architecture noarch
Package type rpm
Category Development/Languages/Python
Homepage https://github.com/rackspace/python-proboscis
License Apache-2.0
Maintainer -
Download size 45.38 KB
Installed size 225.41 KB
Proboscis is a Python test framework that extends Python's built-in unittest module and Nose with features from TestNG.

Alternatives

Package Version Architecture Repository
python2-proboscis - - -

Requires

Name Value
python(abi) = 2.7

Provides

Name Value
python-proboscis = 1.2.6.0-5.2
python2-proboscis = 1.2.6.0-5.2

Obsoletes

Name Value
python-proboscis < 1.2.6.0-5.2

Download

Type URL
Mirror widehat.opensuse.org
Binary Package python2-proboscis-1.2.6.0-5.2.noarch.rpm
Source Package python-proboscis-1.2.6.0-5.2.src.rpm

Install Howto

Install python2-proboscis rpm package:

# zypper install python2-proboscis

Files

Path
/usr/lib/python2.7/site-packages/proboscis/__init__.py
/usr/lib/python2.7/site-packages/proboscis/__init__.pyc
/usr/lib/python2.7/site-packages/proboscis/__init__.pyo
/usr/lib/python2.7/site-packages/proboscis/asserts.py
/usr/lib/python2.7/site-packages/proboscis/asserts.pyc
/usr/lib/python2.7/site-packages/proboscis/asserts.pyo
/usr/lib/python2.7/site-packages/proboscis/case.py
/usr/lib/python2.7/site-packages/proboscis/case.pyc
/usr/lib/python2.7/site-packages/proboscis/case.pyo
/usr/lib/python2.7/site-packages/proboscis/check.py
/usr/lib/python2.7/site-packages/proboscis/check.pyc
/usr/lib/python2.7/site-packages/proboscis/check.pyo
/usr/lib/python2.7/site-packages/proboscis/core.py
/usr/lib/python2.7/site-packages/proboscis/core.pyc
/usr/lib/python2.7/site-packages/proboscis/core.pyo
/usr/lib/python2.7/site-packages/proboscis/decorators.py
/usr/lib/python2.7/site-packages/proboscis/decorators.pyc
/usr/lib/python2.7/site-packages/proboscis/decorators.pyo
/usr/lib/python2.7/site-packages/proboscis/dependencies.py
/usr/lib/python2.7/site-packages/proboscis/dependencies.pyc
/usr/lib/python2.7/site-packages/proboscis/dependencies.pyo
/usr/lib/python2.7/site-packages/proboscis/sorting.py
/usr/lib/python2.7/site-packages/proboscis/sorting.pyc
/usr/lib/python2.7/site-packages/proboscis/sorting.pyo
/usr/lib/python2.7/site-packages/proboscis-1.2.6.0-py2.7.egg-info/PKG-INFO
/usr/lib/python2.7/site-packages/proboscis-1.2.6.0-py2.7.egg-info/SOURCES.txt
/usr/lib/python2.7/site-packages/proboscis-1.2.6.0-py2.7.egg-info/dependency_links.txt
/usr/lib/python2.7/site-packages/proboscis-1.2.6.0-py2.7.egg-info/top_level.txt
/usr/lib/python2.7/site-packages/proboscis/compatability/__init__.py
/usr/lib/python2.7/site-packages/proboscis/compatability/__init__.pyc
/usr/lib/python2.7/site-packages/proboscis/compatability/__init__.pyo
/usr/lib/python2.7/site-packages/proboscis/compatability/exceptions_2_5.py
/usr/lib/python2.7/site-packages/proboscis/compatability/exceptions_2_5.pyc
/usr/lib/python2.7/site-packages/proboscis/compatability/exceptions_2_5.pyo
/usr/lib/python2.7/site-packages/proboscis/compatability/exceptions_2_6.py
/usr/lib/python2.7/site-packages/proboscis/compatability/exceptions_2_6.pyc
/usr/lib/python2.7/site-packages/proboscis/compatability/exceptions_2_6.pyo
/usr/lib/python2.7/site-packages/proboscis/compatability/raise_2_x.py
/usr/lib/python2.7/site-packages/proboscis/compatability/raise_2_x.pyc
/usr/lib/python2.7/site-packages/proboscis/compatability/raise_2_x.pyo
/usr/lib/python2.7/site-packages/proboscis/compatability/raise_3_x.py
/usr/lib/python2.7/site-packages/proboscis/compatability/raise_3_x.pyc
/usr/lib/python2.7/site-packages/proboscis/compatability/raise_3_x.pyo
/usr/share/doc/packages/python2-proboscis/README.rst

Changelog

2018-12-04 - Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
2017-08-25 - tbechtold@suse.com
- convert to singlespec
2013-10-18 - speilicke@suse.com
- Initial version

See Also

Package Description
python2-process-tests-2.0.2-1.1.noarch.rpm Tools for testing processes
python2-proglog-0.1.9-1.1.noarch.rpm Log and progress bar manager for Python
python2-progress-1.5-1.1.noarch.rpm Progress bars for Python
python2-progressbar-2.5-2.2.noarch.rpm Text Progressbar Library for Python
python2-prometheus_client-0.2.0-2.2.noarch.rpm Python client for the Prometheus monitoring system
python2-promise-2.2.1-1.1.noarch.rpm Promises/A+ implementation for Python
python2-prompt_toolkit-2.0.9-1.1.noarch.rpm Library for building interactive command lines in Python
python2-prompt_toolkit1-1.0.15-1.4.noarch.rpm Library for building interactive command lines in Python
python2-proselint-0.10.2-2.1.noarch.rpm A linter for prose
python2-protobuf-3.6.1-5.1.i586.rpm Python2 Bindings for Google Protocol Buffers
python2-protobuf-3.6.1-5.1.x86_64.rpm Python2 Bindings for Google Protocol Buffers
python2-pscript-0.7.0-1.1.noarch.rpm Python to JavaScript compiler
python2-psutil-5.6.1-1.1.i586.rpm A process utilities module for Python
python2-psutil-5.6.1-1.1.x86_64.rpm A process utilities module for Python
python2-psycopg2-2.7.7-2.1.i586.rpm Python-PostgreSQL Database Adapter
Advertisement
Advertisement